Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.hammurapi.eventbus
Interface AbstractEventBus.Snapshot<E,P extends Comparable<P>,C,K,H extends EventBus.Handle<E,P,C>,S extends EventStore<E,P,C,H,S>>

Show UML class diagram

Type Parameters:
  `K` - Registration key type.

All Known Subinterfaces:
  AbstractEventBus.StateSnapshot<E,P,C,K,H,S>

All Known Implementing Classes:
  DispatchNetworkDotSnapshot, LocalDispatchNetworkDotSnapshot

Enclosing class:
  AbstractEventBus<E,P extends Comparable<P>,C,K,H extends AbstractEventBus.Handle<E,P,C,K>,S extends EventStore<E,P,C,H,S>>

    public static interface AbstractEventBus.Snapshot<E,P extends Comparable<P>,C,K,H extends EventBus.Handle<E,P,C>,S extends EventStore<E,P,C,H,S>>

Interface to output bus structure for troubleshooting.

Method Summary
`void` | `end(boolean success)` Invoked at the end of taking snapshot
`void` | `handler(K id, EventHandler<E,P,C,H,S> eventHandler)`
`void` | `joinInput(K id, K joinNodeId, int index)`
`void` | `joinNode(K id, predicate, Set<Integer> outputIndices, K eventHandlerId, K nextJoinNodeId)`
`void` | `predicateNode(K id, predicate, Collection<K> trueChildren, Collection<K> trueHandlers, Collection<K> falseChildren, Collection<K> falseHandlers, boolean isRoot)`
`void` | `start()` Invoked before any other methods.

Method Detail

### start

    void start()

  Invoked before any other methods.

### end

    void end(boolean success)

  Invoked at the end of taking snapshot

  Parameters:
    `success` - True if there've been no exceptions.

### handler

    void handler(K id,
                 EventHandler<E,P,C,H,S> eventHandler)

### predicateNode

    void predicateNode(K id,
                        predicate,
                       Collection<K> trueChildren,
                       Collection<K> trueHandlers,
                       Collection<K> falseChildren,
                       Collection<K> falseHandlers,
                       boolean isRoot)

### joinInput

    void joinInput(K id,
                   K joinNodeId,
                   int index)

### joinNode

    void joinNode(K id,
                   predicate,
                  Set<Integer> outputIndices,
                  K eventHandlerId,
                  K nextJoinNodeId)

  Parameters:
    `id` - Join node ID.
    `predicates` - Node predicates.
    `outputIndices` - Node output indices.
    `eventHandlerId` - Handler ID if this node is a final join node.
    `nextJoinNodeId` - Next join node id for intermediary nodes.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD